| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorDesaturateToAverageManipulator Class Reference

Vertex manipulator which desaturates the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorDesaturateToAverageManipulator:

List of all members.

## Public Member Functions

- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which desaturates the color values.

Uses the average value of the color.

Definition at line 170 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorDesaturateToAverageManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 173 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h